Update environment
Rename an environment or change its slug.
PATCH
/environments/:id
Rename an environment or change its slug.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
Environment name
slug
string
URL-safe slug
Responses
200
Updated environment
application/jsonenvironment
object
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
created_at
string
REQUIRED
400
Validation error
401
Unauthorized
404
Not found
curl -X PATCH 'https://hookstream.io/v1/environments/:id' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "slug": "string"}'
const response = await fetch('https://hookstream.io/v1/environments/:id', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "slug": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/environments/:id', headers=headers, json={ "name": "string", "slug": "string"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "string", "slug": "string"}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/environments/:id", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "environment": { "id": "<string>", "org_id": "<string>", "name": "<string>", "slug": "<string>", "created_at": "<string>" }}
API Playground
Try this endpoint
PATCH
/environments/:id